org.keycloak.dom.saml.v1.protocol

## Class SAML11RequestAbstractType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonRequestAbstractType
  - - org.keycloak.dom.saml.v1.protocol.SAML11RequestAbstractType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    SAML11RequestType

      public abstract class SAML11RequestAbstractType
      extends CommonRequestAbstractType

  Since:
    Jun 22, 2011
  Author:
    Anil.Saldhana@redhat.com
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `majorVersion`
    `protected int` | `minorVersion`
    `protected List<QName>` | `respondWith`

    - ### Fields inherited from class org.keycloak.dom.saml.common.CommonRequestAbstractType

      `id, issueInstant, signature`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML11RequestAbstractType(String id, XMLGregorianCalendar issueInstant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(QName rw)`
    `void` | `addAllConditions(List<QName> rw)`
    `int` | `getMajorVersion()`
    `int` | `getMinorVersion()`
    `List<QName>` | `getRespondWith()`
    `boolean` | `remove(QName rw)`

    - ### Methods inherited from class org.keycloak.dom.saml.common.CommonRequestAbstractType

      `getID, getIssueInstant, getSignature, setSignature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### majorVersion

          protected int majorVersion

    - #### minorVersion

          protected int minorVersion

    - #### respondWith

          protected List<QName> respondWith

  - ### Constructor Detail

    - #### SAML11RequestAbstractType

          public SAML11RequestAbstractType(String id,
                                           XMLGregorianCalendar issueInstant)

  - ### Method Detail

    - #### getMajorVersion

          public int getMajorVersion()

    - #### getMinorVersion

          public int getMinorVersion()

    - #### add

          public void add(QName rw)

    - #### addAllConditions

          public void addAllConditions(List<QName> rw)

    - #### remove

          public boolean remove(QName rw)

    - #### getRespondWith

          public List<QName> getRespondWith()

Copyright © 2021 JBoss by Red Hat. All rights reserved.